<template>
  <svg
    v-bind:class="themeClasses"
    xmlns="http://www.w3.org/2000/svg"
    width="152"
    height="23"
    viewBox="0 0 144 22"
    xmlns:xlink="http://www.w3.org/1999/xlink"
  >
    <g>
      <rect x="37.8" y="18" width="0.7" height="3.3" />
      <path
        d="M16.6,19.5c0.5-0.5,1.1-1,1.6-1.6h-0.8l-1.6,1.5l1.7,1.7h0.8l0,0C18.3,21.2,17.7,20.7,16.6,19.5z"
      />
      <rect x="15" y="18" width="0.6" height="3.3" />
      <polygon
        points="25.6,18 25.6,18 25.6,20.4 23.4,18 22.9,18 22.9,21.3 23.4,21.3 23.4,18.8 23.7,19.1 24.3,19.8 
		25.7,21.3 26.2,21.3 26.2,18 	"
      />
      <path
        d="M32.9,12.4c-0.3-0.1-0.6-0.1-0.8-0.2c-0.2-0.1-0.5-0.2-0.9-0.4c0,0.3,0,0.5,0,0.8v0.1c0,0.4,0,0.7,0,0.9
		s-0.1,0.3-0.1,0.4c-0.1,0.2-0.2,0.3-0.4,0.3c-0.4,0.1-0.8,0.1-1.2,0.1c-0.5,0-0.9,0-1.1,0s-0.3,0-0.5-0.1c-0.1-0.1-0.1-0.2-0.1-0.3
		V8H31c0.6,0,1.2,0,1.8,0V6.3h-1.9h-4.6V2.2c0-0.6,0-1.2,0.1-1.8h-2.1c0.1,1,0.1,1.6,0.1,1.8v4.2h-5h-1.8v1.7c0.8,0,1.4,0,1.8,0h3.1
		v0.5c0,0.4-0.1,0.6-0.1,0.7c-0.2,1.5-0.6,2.5-1.2,3.2c-0.4,0.5-1,0.9-1.5,1.2c-0.8,0.4-1.6,0.7-2.4,0.9l0.1,0.1
		c0.3,0.5,0.7,1,0.9,1.5c0.7-0.2,1.2-0.4,1.6-0.6c0.5-0.2,0.9-0.5,1.3-0.8c0.6-0.4,1.1-1,1.6-1.6c0.4-0.6,0.7-1.2,0.9-1.9
		c0.2-0.5,0.3-1,0.4-1.6c0.1-0.5,0.1-1.1,0.1-1.8l0,0h1.7v6.4c0,0.7,0.3,1.2,0.8,1.4S27.9,16,29,16c1,0,1.7,0,2.1-0.1
		c0.3-0.1,0.6-0.2,0.9-0.4c0.2-0.1,0.4-0.3,0.5-0.6s0.2-0.6,0.2-0.9C32.8,13.5,32.8,12.9,32.9,12.4z"
      />
      <path
        d="M29.1,20L29.1,20h0.7v0.6c-0.3,0.1-0.6,0.2-0.9,0.1c-0.5,0-0.8-0.1-1-0.3c-0.2-0.2-0.3-0.5-0.3-0.9
		s0.1-0.7,0.3-0.9c0.2-0.2,0.6-0.3,1-0.3c0.2,0,0.5,0,0.7,0.1c0.2,0,0.4,0.1,0.5,0.2l0,0l0.1-0.5c-0.2-0.1-0.4-0.2-0.7-0.2
		c-0.2,0-0.5-0.1-0.8-0.1c-0.7,0-1.2,0.1-1.5,0.4s-0.5,0.7-0.5,1.3c0,0.6,0.2,1,0.5,1.3s0.8,0.4,1.5,0.4c0.6,0,1.1-0.1,1.5-0.3v-1.5
		H29L29.1,20L29.1,20z"
      />
      <path
        d="M14.4,7.5L14.4,7.5c1,0,1.6,0,1.9,0V5.8c-0.2,0-0.7,0.1-1.3,0.1h-3.9V3.3l0,0c2.6-0.3,4.2-0.6,4.7-0.9
		l-0.9-1.6c-0.8,0.4-1.6,0.6-2.4,0.8C11.9,1.7,11,1.8,9.8,1.9H9.3v2.5c0,0.5,0,1.1,0,2c0,1.9,0,3.2-0.1,4c-0.1,1-0.4,1.9-0.7,2.5
		c-0.4,0.6-1,1.3-1.8,1.9c0.5,0.3,0.9,0.7,1.2,1.2c0.7-0.5,1.3-1.1,1.8-1.7c0.5-0.7,0.8-1.6,1-2.6S11,9.4,11,7.8V7.5h1.6v6v1
		c0,0.7,0,1.2,0,1.4h1.8c0-0.4-0.1-1.2-0.1-2.5L14.4,7.5L14.4,7.5z"
      />
      <path
        d="M34.8,20.3l-0.2,0.3L33.2,18l0,0h-0.7v3.3h0.6v-2.4l0.1,0.3l1.2,2.1l0,0h0.4c0.1-0.2,0.3-0.4,0.4-0.7l1-1.7
		v0.2v2.2h0.6V18h-0.7C35.6,18.8,35.2,19.5,34.8,20.3z"
      />
      <path
        d="M20.2,17.9c-0.6,0-1.1,0.1-1.4,0.4s-0.4,0.7-0.4,1.3c0,0.6,0.2,1,0.5,1.3s0.8,0.4,1.4,0.4s1.1-0.1,1.4-0.4
		s0.4-0.7,0.4-1.3s-0.1-1-0.4-1.3C21.4,18.1,20.9,17.9,20.2,17.9z M21.1,20.5L21.1,20.5c-0.2,0.2-0.5,0.3-0.9,0.3s-0.7-0.1-0.9-0.3
		C19.1,20.3,19,20,19,19.6s0.1-0.7,0.3-0.9c0.2-0.2,0.5-0.2,0.9-0.2s0.7,0.1,0.9,0.2c0.2,0.2,0.2,0.5,0.2,0.9
		C21.4,20.1,21.3,20.4,21.1,20.5z"
      />
      <polygon
        points="39.1,18.5 40.4,18.5 40.4,21.3 41,21.3 41,18.5 42.3,18.5 42.3,18 39.1,18 	"
      />
      <path
        d="M21.3,6c0,0,0.5-0.3,1.5-0.8h0.1c0-0.1-0.1-0.2-0.1-0.3c-0.5-0.9-0.8-1.6-1-2c-0.4-0.6-0.8-1.1-1.3-1.7
		l-0.8,0.5c-0.6,0.3-0.8,0.5-0.9,0.5c0.4,0.4,0.7,0.8,1,1.3C20.2,4.1,20.7,4.9,21.3,6z"
      />
      <path
        d="M47.7,14.7h1.8v-1.9c-0.9,0-1.5,0-1.8,0H35.9c-0.4,0-1,0-1.8,0v1.9c0.9,0,1.5,0,1.8,0H47.7z"
      />
      <path
        d="M46.2,3.8c0.7,0,1.4,0,2,0V1.9c-0.9,0-1.9,0-3,0h-8c-0.4,0-1,0-1.8,0v1.9h1.8H46.2z"
      />
      <path
        d="M38.4,7c-0.4,0-1,0-1.8,0v2h1.8h6.8H47V7c-0.9,0-1.5,0-1.8,0H38.4z"
      />
      <polygon
        points="6.5,19.3 4.5,19.3 4.5,18 3.8,18 3.8,21.3 4.5,21.3 4.5,19.9 6.5,19.9 6.5,21.3 7.1,21.3 7.1,18 
		6.5,18 	"
      />
      <rect x="8.2" y="18" width="0.7" height="3.3" />
      <path
        d="M2.7,19.6c-0.3-0.1-0.6-0.2-0.9-0.3l0,0c-0.2,0-0.4-0.1-0.6-0.1C1.1,19.1,1,19,1,18.9s0.1-0.3,0.2-0.3
		c0.2-0.1,0.4-0.1,0.6-0.1c0.4,0,0.7,0.1,1,0.2l0,0L3,18.1l0,0c-0.4-0.1-0.8-0.2-1.2-0.2c-0.5,0-0.9,0.1-1.1,0.3
		c-0.2,0.2-0.3,0.4-0.3,0.7c0,0.3,0.2,0.5,0.4,0.7c0.3,0.1,0.6,0.2,0.9,0.3l0,0c0.2,0,0.4,0.1,0.6,0.2s0.3,0.2,0.3,0.3
		c0,0.1-0.1,0.3-0.2,0.3c-0.2,0.1-0.4,0.1-0.6,0.1c-0.4,0-0.8-0.1-1.2-0.3l0,0L0.5,21l0,0c0.3,0.2,0.7,0.3,1.1,0.3
		c0.5,0,0.8-0.1,1.1-0.3c0.3-0.1,0.4-0.4,0.4-0.7S3,19.7,2.7,19.6z"
      />
      <path
        d="M12.6,18v2c0,0.1,0,0.2,0,0.3l-2.2-2.4H9.9v3.4h0.6v-2.5l0.2,0.3l2,2.2h0.5V18H12.6L12.6,18z"
      />
      <path
        d="M3.7,15.9h1.8c0-0.2,0-0.8,0-1.8v-1.4l-0.1-1.1h0.1C6,12.3,6.6,13,7.3,13.5c0.3-0.5,0.6-0.9,0.9-1.4
		c-0.4-0.3-0.8-0.6-1.1-0.9c-0.3-0.3-0.5-0.5-0.8-0.8L6,10.2h0.6c0.6,0,1.1,0,1.8,0.1V8.6H5.5V7.3h1c0.7,0,1.4,0,2.1,0V5.8H6.5V5.7
		C7,5,7.3,4.3,7.5,3.5l0,0h1V1.9H5.9H5.5l0,0c0-0.6,0-1.1,0-1.5H3.7c0,0.3,0.1,0.6,0,1v0.5h-3v1.5h1.1l0,0c0.2,0.5,0.4,1,0.6,1.5
		l0.2,0.8H0.3v1.6c0.8,0,1.9,0,3.3,0v1.3H2.3c-1,0-1.6,0-1.7,0v1.6c0.6,0,1.5-0.1,2.6,0L3,10.5c-0.2,0.3-0.3,0.5-0.5,0.8
		c-0.3,0.4-0.6,0.8-1,1.1c-0.5,0.5-1,0.9-1.5,1.3c0.2,0.2,0.4,0.3,0.6,0.5s0.3,0.5,0.4,0.7c0.5-0.3,1-0.6,1.4-1c0.6-0.6,1-1.2,1.3-2
		l0.1-0.2v2.9C3.8,15.1,3.8,15.5,3.7,15.9z M3.5,3.5L3.5,3.5h2.4l0,0C5.7,4.3,5.4,5.1,5,5.8l0,0H4.3V5.7C4,4.9,3.8,4.2,3.5,3.5z"
      />
      <path
        d="M28.5,5.9c0.5-0.5,1-1,1.5-1.6c0.6-0.7,1.1-1.4,1.5-2.2c0,0-0.3-0.2-0.8-0.5s-0.8-0.5-0.8-0.5
		c-0.5,1.1-1.4,2.4-2.6,3.7L28.5,5.9L28.5,5.9z"
      />
      <path
        d="M64.3,19.3h-2V18h-0.6v3.3h0.6v-1.4h2v1.4h0.6V18h-0.6C64.3,18,64.3,18.5,64.3,19.3z"
      />
      <rect x="65.9" y="18" width="0.7" height="3.3" />
      <path
        d="M45.1,19.6c-0.3-0.1-0.6-0.2-0.9-0.3c-0.2,0-0.4-0.1-0.6-0.1c-0.1,0-0.2-0.2-0.2-0.3c0-0.1,0.1-0.2,0.2-0.3
		c0.2-0.1,0.4-0.1,0.6-0.1c0.4,0,0.7,0.1,1,0.2l0,0l0.1-0.5l0,0c-0.4-0.1-0.8-0.2-1.2-0.2c-0.5,0-0.8,0.1-1.1,0.3
		c-0.2,0.2-0.3,0.4-0.3,0.7c0,0.3,0.2,0.5,0.4,0.7c0.2,0.1,0.4,0.2,0.9,0.3l0,0c0.2,0,0.4,0.1,0.6,0.2c0.1,0,0.2,0.2,0.2,0.3
		c0,0.1-0.1,0.3-0.2,0.3c-0.2,0.1-0.4,0.1-0.6,0.1c-0.4,0-0.8-0.1-1.2-0.3l0,0l-0.1,0.5l0,0c0.4,0.2,0.8,0.3,1.3,0.3
		s0.8-0.1,1.1-0.3c0.3-0.2,0.4-0.4,0.4-0.7C45.6,20,45.4,19.7,45.1,19.6z"
      />
      <path
        d="M60,14.3L60,14.3c-0.8,0-1.4-0.1-1.8-0.1c-0.4,0-0.8-0.1-1.1-0.2c-0.3-0.1-0.6-0.2-0.9-0.4h-0.1v-3h1
		c0.3,0,0.6,0,0.9,0V9.1h-1.3h-0.6V7.4h0.8h1.5V5.8h-1.5h-1V4.4h0.5c0.5,0,1,0,1.5,0V2.7c-0.6,0-1.1,0-1.6,0h-0.5V1.5V0.4H54
		c0,0.3,0,0.5,0,0.8v1.6h-0.8c-0.7,0-1.2,0-1.7,0v1.7c0.7,0,1.4,0,2,0h0.6V6h-1.5h-1.7v1.7h1.7h1.8v5.1L54,12
		c-0.3-0.2-0.5-0.5-0.7-0.8c0-0.3,0-0.6,0-0.9l0.1-1.5h-1.7v0.6c0,1-0.1,2-0.3,3c-0.1,0.6-0.2,1.1-0.3,1.4c-0.1,0.5-0.3,0.9-0.5,1.3
		c0.5,0.2,1,0.5,1.5,0.8c0.2-0.5,0.4-0.9,0.6-1.4c0.1-0.5,0.3-1,0.4-1.5l0,0l0,0c0.8,1.1,1.7,1.8,2.8,2.3c0.7,0.2,1.3,0.4,2,0.5
		c1.1,0.1,2.2,0.2,3.3,0.2c2.5,0,4.3,0,5.4-0.1c0-0.3,0.1-0.6,0.2-0.8s0.2-0.5,0.4-1c-1.4,0.2-3.1,0.2-5.2,0.2
		C61.4,14.3,60.7,14.3,60,14.3z"
      />
      <path
        d="M66,9.9c0,0.6-0.1,1.1-0.1,1.3c0,0.3-0.1,0.4-0.2,0.4c-0.2,0-0.5-0.3-0.8-0.9l0,0c0.7-1.1,1.3-2.6,1.7-4.5V6.1
		l-1.5-0.4c0,0,0,0.2-0.1,0.5c0,0.3-0.1,0.7-0.2,1.1c-0.1,0.5-0.3,1-0.5,1.5l0,0l-0.1-0.5c-0.2-0.6-0.3-1.1-0.4-1.7
		c-0.1-0.6-0.2-1.2-0.2-2l0,0h1.7c0.2,0,0.7,0,1.5,0H67V3h-1.2l0.9-1c-0.5-0.2-0.7-0.5-1-0.7c-0.2-0.2-0.6-0.5-1-0.8
		c-0.6,0.6-0.9,0.9-0.9,0.9c0.4,0.3,0.7,0.7,1,1L65.4,3h-2.1V2.6c0-0.4,0-0.8,0-1.4v-1l-1.7,0.1L61.8,3h-0.7c-1,0-1.6,0-2,0v7.8
		c-0.4,0.2-0.8,0.3-1.3,0.4h-0.2l0.5,1.6c0.7-0.3,1.4-0.6,2-0.9c0.7-0.4,1.4-0.8,2-1.2L62,9.1c-0.4,0.3-0.9,0.6-1.3,0.9l0,0V4.6H62
		v0.1c0.1,1.1,0.3,2.1,0.5,3.2c0.2,0.9,0.5,1.8,0.8,2.7l0,0c-0.3,0.3-0.5,0.6-0.8,0.9c-0.4,0.5-0.9,0.9-1.4,1.3
		c0.3,0.2,0.6,0.4,0.9,0.7c0.2,0.1,0.3,0.2,0.5,0.4c0.6-0.5,1.2-1.1,1.7-1.7l0,0l0,0c0.2,0.4,0.6,0.7,0.9,1c0.3,0.2,0.6,0.3,1,0.3
		c0.2,0,0.4-0.1,0.6-0.3s0.3-0.5,0.4-0.7c0.1-0.3,0.1-0.5,0.2-0.8c0-0.3,0.1-0.7,0.2-1.2h-0.1C66.8,10.3,66.4,10.1,66,9.9z"
      />
      <path d="M64.3,18L64.3,18L64.3,18z" />
      <path
        d="M49,19.9c0,0.6-0.3,0.9-1,0.9s-1-0.3-1-0.9V18h-0.6v1.9c0,0.9,0.6,1.4,1.7,1.4c1.1,0,1.7-0.5,1.7-1.4V18H49
		V19.9z"
      />
      <rect x="50.5" y="18" width="0.6" height="3.3" />
      <path
        d="M60.5,19.6c-0.3-0.1-0.6-0.2-0.9-0.3c-0.2,0-0.4-0.1-0.6-0.1c-0.1,0-0.2-0.2-0.2-0.3c0-0.1,0.1-0.2,0.2-0.3
		c0.2-0.1,0.4-0.1,0.6-0.1c0.4,0,0.7,0.1,1,0.2l0,0l0.1-0.5l0,0c-0.4-0.1-0.8-0.2-1.2-0.2c-0.5,0-0.9,0.1-1.1,0.3
		c-0.2,0.2-0.3,0.4-0.3,0.7c0,0.3,0.2,0.5,0.4,0.7c0.3,0.1,0.6,0.2,0.9,0.3l0,0c0.2,0,0.4,0.1,0.6,0.2c0.1,0,0.2,0.2,0.2,0.3
		c0,0.1-0.1,0.3-0.2,0.3c-0.2,0.1-0.4,0.1-0.6,0.1c-0.4,0-0.8-0.1-1.2-0.3l0,0l-0.1,0.5c0.4,0.2,0.8,0.3,1.3,0.3s0.8-0.1,1.1-0.3
		c0.3-0.2,0.4-0.4,0.4-0.7C61,20,60.8,19.7,60.5,19.6z"
      />
      <polygon
        points="53.7,18 52.9,18 51.3,19.5 51.3,19.6 53,21.3 53.8,21.3 52.1,19.6 	"
      />
      <path
        d="M55.8,17.9c-0.6,0-1.1,0.1-1.4,0.4c-0.3,0.3-0.5,0.7-0.5,1.3c0,0.6,0.2,1,0.5,1.3s0.8,0.4,1.4,0.4
		s1.1-0.1,1.4-0.4c0.3-0.3,0.4-0.7,0.4-1.3c0-0.6-0.1-1-0.4-1.3C56.8,18.1,56.4,17.9,55.8,17.9z M56.7,20.5L56.7,20.5
		c-0.2,0.2-0.5,0.3-0.9,0.3s-0.7-0.1-0.9-0.3c-0.2-0.2-0.3-0.5-0.3-0.9s0.1-0.7,0.3-0.9c0.2-0.2,0.5-0.3,0.9-0.3s0.7,0.1,0.9,0.2
		c0.2,0.2,0.3,0.5,0.3,0.9S56.8,20.4,56.7,20.5z"
      />
    </g>
    <g>
      <path
        d="M97.3,17.7l0.6-1.2c-1.4-0.9-4-2-6-2.7l-0.6,1C93.4,15.6,96.1,16.9,97.3,17.7z"
      />
      <path
        d="M92,9.3h4.6V8.2H92v-1h5.4V5.9h-3c0.3-0.5,0.8-1,1.1-1.6l-1.5-0.4c-0.3,0.6-0.8,1.5-1.2,2.1h-3.6l0.5-0.3
		c-0.2-0.5-0.7-1.3-1.2-1.8l-1.2,0.5c0.3,0.4,0.8,1,1,1.5h-3v1.2h5.3v1h-4.5v1.2h4.5v1h-6v1.2h5.7c-0.1,0.3-0.1,0.7-0.2,0.9H85v1.2
		h4.7c-0.7,1.3-2.1,2.2-5.3,2.6c0.3,0.3,0.6,0.9,0.7,1.3c4-0.6,5.5-1.9,6.2-3.9h0.6h5.7v-1.1h-6c0.1-0.3,0.1-0.6,0.2-0.9h6.2v-1.3
		h-6L92,9.3L92,9.3z"
      />
      <path
        d="M107.3,4.4L106,3.8c-1.4,1.9-4,3.4-6.6,4.1c0.3,0.3,0.7,0.8,0.9,1.1c0.5-0.2,1.1-0.4,1.6-0.6v7
		c0,0.6-0.3,0.9-0.6,1.1c0.2,0.3,0.5,0.8,0.6,1c0.3-0.2,0.9-0.3,4.9-0.9c0-0.3,0-0.8,0-1.2l-3.5,0.5v-2.8h7.2V8.3H102
		c0.8-0.3,1.5-0.8,2.3-1.2v0.7h4V7.1c1.3,0.8,2.8,1.5,4,1.9c0.2-0.3,0.6-0.9,0.9-1.2c-2.2-0.6-4.8-1.8-6.3-3.1
		C107.1,4.6,107.2,4.6,107.3,4.4z M103.3,9.4h5.8v0.9h-5.8V9.4z M103.3,11.2h5.8V12h-5.8V11.2z M107.8,6.9h-3.3
		c0.5-0.4,1.1-0.8,1.5-1.3C106.6,6,107.2,6.5,107.8,6.9z"
      />
      <path
        d="M111.2,12.8c-0.7,0.6-1.7,1.3-2.7,1.8c-0.8-0.4-1.5-0.8-2.2-1.1l-0.9,0.8c1.9,0.9,4.4,2.4,5.5,3.4l0.9-0.9
		c-0.6-0.4-1.4-0.9-2.3-1.5c0.9-0.4,1.8-1,2.6-1.6L111.2,12.8z"
      />
      <path
        d="M125.8,16.1h-3.3c-0.9,0-1.1-0.2-1.1-1v-4.8l1.6-0.7v4.8h1.3V8.9l1.5-0.7c-0.1,1.8-0.3,3.9-0.4,5.2l1.1,0.3
		c0.3-1.7,0.6-4.5,0.7-6.5l0.1-0.3l-1-0.3l-2,0.9V4h-1.3v4.1l-1.6,0.7V5.3h-1.3v4l-1.5,0.7l0.5,1.2l1-0.4v4.3c0,1.8,0.5,2.2,2.3,2.2
		h3.4c1.6,0,2.1-0.7,2.2-2.8c-0.3-0.1-0.9-0.3-1.2-0.5C126.8,15.7,126.6,16.1,125.8,16.1z"
      />
      <path
        d="M117.6,12.6V8.8h1.5V7.5h-1.5V4.1h-1.3v3.4h-1.7v1.3h1.7v4.3c-0.8,0.3-1.5,0.6-2,0.8l0.5,1.4
		c1.3-0.6,3-1.4,4.6-2.1L119,12L117.6,12.6z"
      />
      <path
        d="M129.9,4.5v13.2h1.3v-0.5h9.9v0.5h1.4V4.5H129.9z M141.1,15.9h-9.9V5.7h9.9V15.9z"
      />
      <path
        d="M140.5,9.2h-3.8V8.6h2.4V6.3h-5.9v2.3h2.3v0.6h-3.7V10h8.7V9.2L140.5,9.2z M134.4,7.8V7.1h3.6v0.8H134.4z"
      />
      <path d="M134.5,13.9h3.1v-2h-3.1V13.9z M135.4,12.6h1.5v0.7h-1.5V12.6z" />
      <path
        d="M132.7,15.2h6.9v-4.7h-6.9V15.2z M133.7,11.4h4.6v3.1h-4.6V11.4z"
      />
    </g>
    <rect x="75.6" y="0.3" width="1" height="21" />
  </svg>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters("theme", ["themeClasses"])
  }
};
</script>

<style lang="scss" scoped>
svg {
  path,
  polygon,
  rect {
    fill: $color-skm-red;
  }

  &.theme-vip-member {
    path,
    polygon,
    rect {
      fill: $color-skm-gold;
    }
  }
}
</style>
